package com.bigdata.wxappserver.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bigdata.wxappserver.entity.Goods;
import com.bigdata.wxappserver.entity.Order;
import com.bigdata.wxappserver.entity.User;
import com.bigdata.wxappserver.mapper.GoodsMapper;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.StringUtils;

@Service
public class GoodsService extends ServiceImpl<GoodsMapper, Goods> {
    @Transactional(rollbackFor = Exception.class)
    public JSONObject addOrUpdate(JSONObject jsonObject) {
        Goods good = jsonObject.toJavaObject(Goods.class);
        if (good == null) {
            return new JSONObject().fluentPut("success", false).fluentPut("message", "参数错误");
        }
        // TODO 判空
        boolean success = saveOrUpdate(good);
        return new JSONObject().fluentPut("message", "success").fluentPut("success", success);
    }

    public JSONObject queryById(Integer id) {
        if(id==null){
            return new JSONObject().fluentPut("success",false).fluentPut("message","缺少ID");
        }
        Goods goods = getById(id);
        return new JSONObject().fluentPut("data",goods);
    }
    @Transactional(rollbackFor = Exception.class)
    public JSONObject delete(Integer id) {
        if(id==null){
            return new JSONObject().fluentPut("success",false).fluentPut("message","缺少Id");
        }
        boolean success = removeById(id);
        if(success){
            return new JSONObject().fluentPut("success",true);
        }else{
            return new JSONObject().fluentPut("success",false).fluentPut("message","出现未知错误，请联系管理员！");
        }
    }
}
